Loading...
Searching...
No Matches
Lomiri::DownloadManager::DownloadsList Class Referenceabstract

`#include <downloads_list.h>`

Inheritance diagram for Lomiri::DownloadManager::DownloadsList:
Collaboration diagram for Lomiri::DownloadManager::DownloadsList:

## Public Member Functions

| DownloadsList (QObject *parent=0)
virtual QList< QSharedPointer< Download > > | downloads () const =0
virtual bool | isError () const =0
virtual Error * | error () const =0

## Detailed Description

Definition at line 33 of file downloads_list.h.

## Constructor & Destructor Documentation

## DownloadsList()

Lomiri::DownloadManager::DownloadsList::DownloadsList | ( | QObject * | parent = 0 | ) |

inline explicit

Definition at line 37 of file downloads_list.h.

## Member Function Documentation

## downloads()

virtual QList< QSharedPointer< Download > > Lomiri::DownloadManager::DownloadsList::downloads | ( |  | ) | const

pure virtual

## error()

virtual Error * Lomiri::DownloadManager::DownloadsList::error | ( |  | ) | const

pure virtual

## isError()

virtual bool Lomiri::DownloadManager::DownloadsList::isError | ( |  | ) | const

pure virtual

The documentation for this class was generated from the following file:

- downloads_list.h